package com.zd.laboratory.domain.vo;

import com.zd.laboratory.domain.LabBlackdetail;
import io.swagger.annotations.ApiModelProperty;

/**
 * Controller
 *
 * @author cyl
 * @date 2021/12/16
 */
public class LabBlackdetailVO extends LabBlackdetail {

    @ApiModelProperty(value = "用户姓名")
    private String nickName;

    @ApiModelProperty(value = "学期id")
    private Long semesterId;

    @ApiModelProperty(value = "开始时间")
    private String beginTime;

    @ApiModelProperty(value = "结束时间")
    private String endTime;

    private Long joinUserId;

    @ApiModelProperty(value = "1是负面清单，2是黑名单")
    private String negativeOrBlack;

    public String getNickName() {
        return nickName;
    }

    public void setNickName(String nickName) {
        this.nickName = nickName;
    }

    public Long getSemesterId() {
        return semesterId;
    }

    public void setSemesterId(Long semesterId) {
        this.semesterId = semesterId;
    }

    public String getBeginTime() {
        return beginTime;
    }

    public void setBeginTime(String beginTime) {
        this.beginTime = beginTime;
    }

    public String getEndTime() {
        return endTime;
    }

    public void setEndTime(String endTime) {
        this.endTime = endTime;
    }

    public Long getJoinUserId() {
        return joinUserId;
    }

    public void setJoinUserId(Long joinUserId) {
        this.joinUserId = joinUserId;
    }

    public String getNegativeOrBlack() {
        return negativeOrBlack;
    }

    public void setNegativeOrBlack(String negativeOrBlack) {
        this.negativeOrBlack = negativeOrBlack;
    }
}
